package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "TableStatistics",
   propOrder = {"widgetName", "widgetType", "widgetInstanceName", "lastErrorCode", "lastErrorMessage", "startTime", "endTime", "numAppliedRows", "numAffectedRows", "numRejectedRows", "throughput", "partitionName", "groupName"}
)
public class TableStatistics {
   @XmlElement(
      name = "WidgetName",
      required = true,
      nillable = true
   )
   protected String widgetName;
   @XmlElement(
      name = "WidgetType",
      required = true,
      nillable = true
   )
   protected String widgetType;
   @XmlElement(
      name = "WidgetInstanceName",
      required = true,
      nillable = true
   )
   protected String widgetInstanceName;
   @XmlElement(
      name = "LastErrorCode"
   )
   protected int lastErrorCode;
   @XmlElement(
      name = "LastErrorMessage",
      required = true,
      nillable = true
   )
   protected String lastErrorMessage;
   @XmlElement(
      name = "StartTime",
      required = true,
      nillable = true
   )
   protected DIServerDate startTime;
   @XmlElement(
      name = "EndTime",
      required = true,
      nillable = true
   )
   protected DIServerDate endTime;
   @XmlElement(
      name = "NumAppliedRows"
   )
   protected int numAppliedRows;
   @XmlElement(
      name = "NumAffectedRows"
   )
   protected int numAffectedRows;
   @XmlElement(
      name = "NumRejectedRows"
   )
   protected int numRejectedRows;
   @XmlElement(
      name = "Throughput"
   )
   protected int throughput;
   @XmlElement(
      name = "PartitionName",
      required = true,
      nillable = true
   )
   protected String partitionName;
   @XmlElement(
      name = "GroupName",
      required = true,
      nillable = true
   )
   protected String groupName;

   public String getWidgetName() {
      return this.widgetName;
   }

   public void setWidgetName(String value) {
      this.widgetName = value;
   }

   public String getWidgetType() {
      return this.widgetType;
   }

   public void setWidgetType(String value) {
      this.widgetType = value;
   }

   public String getWidgetInstanceName() {
      return this.widgetInstanceName;
   }

   public void setWidgetInstanceName(String value) {
      this.widgetInstanceName = value;
   }

   public int getLastErrorCode() {
      return this.lastErrorCode;
   }

   public void setLastErrorCode(int value) {
      this.lastErrorCode = value;
   }

   public String getLastErrorMessage() {
      return this.lastErrorMessage;
   }

   public void setLastErrorMessage(String value) {
      this.lastErrorMessage = value;
   }

   public DIServerDate getStartTime() {
      return this.startTime;
   }

   public void setStartTime(DIServerDate value) {
      this.startTime = value;
   }

   public DIServerDate getEndTime() {
      return this.endTime;
   }

   public void setEndTime(DIServerDate value) {
      this.endTime = value;
   }

   public int getNumAppliedRows() {
      return this.numAppliedRows;
   }

   public void setNumAppliedRows(int value) {
      this.numAppliedRows = value;
   }

   public int getNumAffectedRows() {
      return this.numAffectedRows;
   }

   public void setNumAffectedRows(int value) {
      this.numAffectedRows = value;
   }

   public int getNumRejectedRows() {
      return this.numRejectedRows;
   }

   public void setNumRejectedRows(int value) {
      this.numRejectedRows = value;
   }

   public int getThroughput() {
      return this.throughput;
   }

   public void setThroughput(int value) {
      this.throughput = value;
   }

   public String getPartitionName() {
      return this.partitionName;
   }

   public void setPartitionName(String value) {
      this.partitionName = value;
   }

   public String getGroupName() {
      return this.groupName;
   }

   public void setGroupName(String value) {
      this.groupName = value;
   }
}
